Subject: Re: [RFC Patch 3/3] bonding: make bonding support netpoll

From: Cong Wang <[email-masked]>
Date: Tue, 23 Mar 2010 09:49:16 +0800

Andy Gospodarek wrote:
> On Mon, Mar 22, 2010 at 04:17:40AM -0400, Amerigo Wang wrote:
>> Based on Andy's work, but I modify a lot.
>>
>> Similar to the patch for bridge, this patch does:
>>
>> 1) implement the 4 methods to support netpoll for bonding;
>>
>> 2) modify netpoll during forwarding packets in bonding;
>>
>> 3) disable netpoll support of bridge when a netpoll-unabled device
>>    is added to bonding;
>>
>> 4) enable netpoll support when all underlying devices support netpoll.
>>
>> Cc: Andy Gospodarek <[email-masked]>
>> Cc: Neil Horman <[email-masked]>
>> Cc: Jay Vosburgh <[email-masked]>
>> Cc: David Miller <[email-masked]>
>> Signed-off-by: WANG Cong <[email-masked]>
>>
> 
> How much testing was done on this?
> 
> One of the potential problems with this code is how gracefully the
> system can handle tear-down of interfaces or removal of the bonding
> module when netconsole is active.  Was that tested heavily?
> 

For this case you mention, I did test it, but what I did is mainly basic
functionality testing, including bonding over bridge and bridge over bonding.

Thanks!